/* ======================
   GLOBAL
======================*/

body{
    margin:0;
    font-family:Segoe UI;
    color:white;

    /* ✅ BACKGROUND IMAGE */
    background-image: url("image/main.jpeg");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    min-height: 100vh;
}

a{
    color:white;
    text-decoration:none;
}

/* ======================
   HEADER
======================*/

.main-header{
    background:#111;
    padding:15px;
    box-shadow:0 0 10px black;
}

.container{
    width:90%;
    margin:auto;
    display:flex;
    align-items:center;
    justify-content:space-between;
}

.logo img{
    height:120px;      /* logo ki height */
    width:120px;       /* logo ki width */
    object-fit:contain;
    margin-top:-20px;
    margin-bottom: -20px;
    padding:0;
    display:block;
}


.nav-menu a{
    margin:0 18px;
}

.nav-menu a:hover{
    color:#e50914;
}

.btn-book{
    background:#e50914;
    padding:10px 20px;
    border-radius:6px;
}

/* ======================
   FOOTER
======================*/

.main-footer{
    background:#0b0b0b;
    padding:40px 0 10px;
    margin-top:50px;
}

.footer-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
    gap:30px;
}

.main-footer h3,
.main-footer h4{
    color:#e50914;
}

.footer-bottom{
    text-align:center;
    padding:15px;
    border-top:1px solid #222;
    margin-top:20px;
}



/* ======================
   MOBILE LOGOUT FIX
======================*/

@media (max-width: 768px){

    .container{
        flex-direction: column;
        align-items: flex-start;
    }

    .nav-menu{
        width:100%;
        margin-top:10px;
        display:flex;
        flex-direction:column;
    }

    .nav-menu a{
        padding:10px 0;
        width:100%;
        display:block;
    }

    .logout-btn{
        display:block !important;
        background:#e50914;
        padding:10px;
        border-radius:6px;
        margin-top:10px;
        text-align:center;
    }
}
